//Derek McQuay 647465151 CS 235 Fall 2012 midterm 1
#ifndef __POLYMAN_H__
#define __POLYMAN_H__
#include "PolynomialManagerInterface.h"
#include "polylist.h"

using namespace std;

class polyman : public PolynomialManagerInterface {
    public:
        polylist l1;
        polylist l2;
        PolynomialListInterface * addLists();
        PolynomialListInterface * subtractLists();
        void fillListOne(string term);
        void fillListTwo(string term);
        void clearListOne();
        void clearListTwo();
        PolynomialListInterface * getListOne();
        PolynomialListInterface * getListTwo();
};
#endif
